%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)

Summary: 	PEAR: Class that provides multiple interfaces for sending emails
Name: 		php-pear-Mail
Version: 	1.1.10
Release: 	1%{?dist}
License: 	PHP/BSD
Group: 		Development/Libraries
Source: 	http://pear.php.net/get/Mail-%{version}.tgz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: 		http://pear.php.net/package/Mail
BuildRequires: 	php-pear(PEAR)
Provides: 	php-pear(Mail) = %{version}
Requires: 	php-pear(PEAR)
BuildArchitectures: noarch

%description
PEAR's Mail package defines an interface for implementing mailers under
the PEAR hierarchy.  It also provides supporting functions useful to 
multiple mailer backends.  Currently supported backends include: PHP's 
native mail() function, sendmail, and SMTP.  This package also provides
a RFC822 email address list validation utility class.


%prep
%setup -c -T
# XXX Source files location is missing here in pear cmd
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build
echo BuildRoot=%{buildroot}

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps  --packagingroot %{buildroot} %{SOURCE0}

rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}/%{peardir}/.channels
rm %{buildroot}/%{peardir}/.depdb
rm %{buildroot}/%{peardir}/.depdblock

mkdir -p %{buildroot}%{_libdir}/php/pear
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{_libdir}/php/pear/Mail.xml

lst=$(find %{buildroot}%{peardir} -exec grep -q %{buildroot} {} \; -print)
[ ! -z "$lst" ] && echo "Reference to BUILDROOT in $lst" && exit 1;

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{_libdir}/php/pear/Mail.xml  >/dev/null

%postun
# if refcount = 0 then package has been removed (not upgraded)
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only Mail >/dev/null
fi

%files
    %defattr(-,root,root)
    %{peardir}/Mail.php
    %{peardir}/Mail
    %{peardir}/tests/Mail
    %{_libdir}/php/pear/Mail.xml

%changelog
* Wed Apr 26 2006 Remi Collet <rpms@FamilleCollet.com> 1.1.10-1.fc{3,4,5}.remi
- update to 1.1.10

* Thu Apr 06 2006 Remi Collet <rpms@FamilleCollet.com> 1.1.9-2.fc{3,4,5}.remi
- change /var/lib/pear to %{_libdir}/php/pear for XML (as in extras for FC5)
- spec cleanning

* Sat Jan  7 2006 Remi Collet <remi.collet@univ-reims.fr> 1.1.9-1.fc{3,4}.remi
- initial RPM
